Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/13398/?format=api
{ "ob_id": 13398, "uuid": "9e9a8786b00b4bd1bd64e4168c67eec6", "title": "Met Office Atmospheric Angular Momentum data (1983-1993)", "abstract": "The Effective Atmospheric Angular Momentum (EAAM) is a combined project from the Met Office and the European Centre for Medium Range Weather Forecasting (ECMWF). The data is of 3 angular momentum components of the mass and wind terms at 12 or 24 hourly intervals. The Met Office data are from 1983-1997. The corresponding ECMWF data cover the period 1979 to 1993. This dataset is public.", "keywords": "EAAM, angular momentum, Met Office", "publicationState": "published", "dataPublishedTime": "2007-01-05T23:01:27", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/13399/?format=api", "dataPath": "/badc/ukmo-aam/data/ukmo", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 3105429, "numberOfFiles": 24, "fileFormat": "Data are ASCII encoded, but refer to documentation on how these are structured" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3620/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/529/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/22451/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25859/?format=api" ], "dataLineage": "Data files acquired as is from the International Earth Rotation Service's (IERS) Special Bureau for the Atmosphere (SBA), for archiving at the BADC.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/8606/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/13400/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/3456/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/51182/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/51174/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/51181/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/51175/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/51176/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/51179/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/51180/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/51177/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/51178/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/54781/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/75699/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/475/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }